Video

Affect vs. Effect

Flash Player Required

Here's the lowdown on what may be the most confusing pair of words in the English language. The Adobe Flash Player is required in order to view this content. You can get it here:
Get Adobe Flash player